- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# FMath/FMVector2.h File Reference

The file containing the class and global functions for 2 dimensional vectors. More...

Go to the source code of this file.

## Classes
class | FMVector2
| A 2 dimensional vector. More...
## Typedefs
typedef fm::vector< FMVector2 > | FMVector2List
| A dynamically-sized array of 2D vectors or points.
## Functions
FMVector2 | operator+ (const FMVector2 &a, const FMVector2 &b)
| Vector addition with two vectors.
FMVector2 | operator- (const FMVector2 &a, const FMVector2 &b)
| Vector subtraction with two vectors.
float | operator * (const FMVector2 &a, const FMVector2 &b)
| Dot product of two vectors.
FMVector2 | operator * (const FMVector2 &a, float b)
| Scalar multiplication with a vector.
FMVector2 | operator * (float a, const FMVector2 &b)
| Scalar multiplication with a vector.
FMVector2 | operator/ (const FMVector2 &a, float b)
| Scalar divison with a vector.
bool | IsEquivalent (const FMVector2 &a, const FMVector2 &b)
| Retrieves whether two 2D vectors are equivalent.
bool | operator== (const FMVector2 &a, const FMVector2 &b)
| See above.

## Detailed Description

The file containing the class and global functions for 2 dimensional vectors.

## Function Documentation

bool IsEquivalent | ( | const FMVector2 & | a,
|  | const FMVector2 & | b
| ) | `[inline]`

  | Retrieves whether two 2D vectors are equivalent. Parameters:
  | a | A first vector.
  | b | A second vector.
Returns: Whether the two given 2D vectors are equivalent.

FMVector2 operator * | ( | float | a,
|  | const FMVector2 & | b
| ) | `[inline]`

  | Scalar multiplication with a vector. Parameters:
  | a | The scalar.
  | b | The vector.
Returns: The vector representing the resulting the vector.

FMVector2 operator * | ( | const FMVector2 & | a,
|  | float | b
| ) | `[inline]`

  | Scalar multiplication with a vector. Parameters:
  | a | The vector.
  | b | The scalar.
Returns: The FMVector2 representing the resulting the vector.

float operator * | ( | const FMVector2 & | a,
|  | const FMVector2 & | b
| ) | `[inline]`

  | Dot product of two vectors. Parameters:
  | a | The first vector.
  | b | The second vector.
Returns: The result of the dot product.

FMVector2 operator+ | ( | const FMVector2 & | a,
|  | const FMVector2 & | b
| ) | `[inline]`

  | Vector addition with two vectors. Parameters:
  | a | The first vector.
  | b | The second vector.
Returns: The FMVector2 representation of the resulting vector.

FMVector2 operator- | ( | const FMVector2 & | a,
|  | const FMVector2 & | b
| ) | `[inline]`

  | Vector subtraction with two vectors. Parameters:
  | a | The first vector.
  | b | The second vector.
Returns: The FMVector2 representation of the resulting vector.

FMVector2 operator/ | ( | const FMVector2 & | a,
|  | float | b
| ) | `[inline]`

  | Scalar divison with a vector. Parameters:
  | a | The vector.
  | b | The scalar.
Returns: The vector representing the resulting the vector.